#ifdef __cplusplus
#include <string>
const std::string shader_pp_screen_frag = R"("
#version 300 es
precision mediump float;

${LAYOUT_STRING} out vec4 FragColor;
in vec2 uv;
in vec2 pos;

uniform sampler2D tex;

vec4 linear_iter(vec4 i, vec4 p, float factor){
    return (i + p) * factor;
}

void main() {
    FragColor = texture(tex, uv);
}

")";
#endif